/***************************************************************************
 * trackcursorview.h: implementation of TrackCursorView class
 *
 * This file is part of KGuitar, a KDE tabulature editor
 *
 * copyright (C) 2002-2003 the KGuitar development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef TRACKCURSORVIEW_H
#define TRACKCURSORVIEW_H

#include "drawingitem.h"
#include "qcanvascm/qcanvasrectanglecm.h"

class QPointCm;

class TrackCursorView : public DrawingItem
{
public:
	TrackCursorView(uint dpi);
	virtual ~TrackCursorView();
	
	void refresh();
	void hide();
	void show();
	
	virtual QRectCm boundingRect() const;
	virtual Cm height() const;
	virtual Cm width() const;
private:
	QCanvasRectangleCm* rectangle;
};

#endif
